/*
 * © 2013-2019 by Zappware. 
 * All Rights Reserved. No part of this application or any of its contents may be reproduced, 
 * copied, modified or adapted, without the prior written consent of Zappware.
 *
 * Website: http://www.zappware.com
 * E-Mail: info@zappware.com
 */
package com.zappware.graphlperftest.model;

import java.util.List;

/**
 * The first type.
 */
public class TypeOne extends Ideable
{
	/** The first property. */
	private String propertyOne;
	/** The second property. */
	private Integer propertyTwo;
	/** The third property. */
	private String propertyThree;
	/** The fourth property. */
	private String propertyFour;
	/** The fifth property. */
	private String propertyFive;
	/** The sixth property. */
	private List<TypeTwo> propertySix;
	/** The seventh property. */
	private List<TypeTwo> propertySeven;
	/** The eight property. */
	private List<TypeThree> propertyEight;
	/** The ninth property. */
	private List<TypeThree> propertyNine;
	
	/**
	 * @return
	 */
	public String getPropertyOne()
	{
		return propertyOne;
	}
	
	/**
	 * @param propertyOne
	 */
	public void setPropertyOne(String propertyOne)
	{
		this.propertyOne = propertyOne;
	}

	/**
	 * @return
	 */
	public Integer getPropertyTwo()
	{
		return propertyTwo;
	}
	
	/**
	 * @param propertyTwo
	 */
	public void setPropertyTwo(Integer propertyTwo)
	{
		this.propertyTwo = propertyTwo;
	}

	/**
	 * @return
	 */
	public String getPropertyThree()
	{
		return propertyThree;
	}
	
	/**
	 * @param propertyThree
	 */
	public void setPropertyThree(String propertyThree)
	{
		this.propertyThree = propertyThree;
	}

	/**
	 * @return
	 */
	public String getPropertyFour()
	{
		return propertyFour;
	}
	
	/**
	 * @param propertyFour
	 */
	public void setPropertyFour(String propertyFour)
	{
		this.propertyFour = propertyFour;
	}

	/**
	 * @return
	 */
	public String getPropertyFive()
	{
		return propertyFive;
	}
	
	/**
	 * @param propertyFive
	 */
	public void setPropertyFive(String propertyFive)
	{
		this.propertyFive = propertyFive;
	}

	/**
	 * @return
	 */
	public List<TypeTwo> getPropertySix()
	{
		return propertySix;
	}
	
	/**
	 * @param propertySix
	 */
	public void setPropertySix(List<TypeTwo> propertySix)
	{
		this.propertySix = propertySix;
	}

	/**
	 * @return
	 */
	public List<TypeTwo> getPropertySeven()
	{
		return propertySeven;
	}
	
	/**
	 * @param propertySeven
	 */
	public void setPropertySeven(List<TypeTwo> propertySeven)
	{
		this.propertySeven = propertySeven;
	}

	/**
	 * @return
	 */
	public List<TypeThree> getPropertyEight()
	{
		return propertyEight;
	}
	
	/**
	 * @param propertyEight
	 */
	public void setPropertyEight(List<TypeThree> propertyEight)
	{
		this.propertyEight = propertyEight;
	}

	/**
	 * @return
	 */
	public List<TypeThree> getPropertyNine()
	{
		return propertyNine;
	}
	
	/**
	 * @param propertyNine
	 */
	public void setPropertyNine(List<TypeThree> propertyNine)
	{
		this.propertyNine = propertyNine;
	}
}